osl::search::NullWindowUtil< P, EvalBase, best_move_extension > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Static Public Member Functions | List of all members
osl::search::NullWindowUtil< P, EvalBase, best_move_extension > Struct Template Reference

`#include <searchWindow.h>`

## Public Types
typedef EvalBase::eval_t | eval_t

## Static Public Member Functions
template<class Recorder >
static TableHit | isOutOfWindow (const SimpleHashRecord &record, int limit, NullWindow w, int &val, const Recorder &recorder)
| Record と比べて cut できるかどうかを判定する. More...

## Detailed Description

### template<Player P, class EvalBase, bool best_move_extension>
struct osl::search::NullWindowUtil< P, EvalBase, best_move_extension >

Definition at line 99 of file searchWindow.h.

## Member Typedef Documentation

template<Player P, class EvalBase , bool best_move_extension>

typedef EvalBase::eval_t osl::search::NullWindowUtil< P, EvalBase, best_move_extension >::eval_t

Definition at line 101 of file searchWindow.h.

## Member Function Documentation

template<Player P, class EvalBase , bool best_move_extension>
template<class Recorder >

static TableHit osl::search::NullWindowUtil< P, EvalBase, best_move_extension >::isOutOfWindow | ( | const SimpleHashRecord & | record,
|  | int | limit,
|  | NullWindow | w,
|  | int & | val,
|  | const Recorder & | recorder
| ) |  |
| inlinestatic

Record と比べて cut できるかどうかを判定する.

Returns
  cut できるかどうか

Parameters

  val | cut 出来る場合は upper/lower bound が入る
  best_move_extension | 真の場合，window を越えていても かなり深く読んだ結果でないと cut しない．一度同じ深さで探索した手を， これから読む手の確率を高くとることで延長する時に使用するため

Definition at line 112 of file searchWindow.h.

References osl::search::NullWindow::alpha(), osl::search::NullWindow::beta(), osl::eval::isConsistentValue(), limit, osl::search::LOWER_HIT, osl::search::NO_HIT, and osl::search::UPPER_HIT.

The documentation for this struct was generated from the following file:

- searchWindow.h